hpp-plot: hpp::plot::HppManipulationGraphWidget Class Reference

hpp-plot 9.0.2 Plotting tools for HPP

Classes | Public Slots | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
hpp::plot::HppManipulationGraphWidget Class Reference

`#include <hpp/plot/hpp-manipulation-graph.hh>`

Inheritance diagram for hpp::plot::HppManipulationGraphWidget:
[legend]
Collaboration diagram for hpp::plot::HppManipulationGraphWidget:
[legend]

## Public Slots
void | updateStatistics ()
void | showNodeOfConfiguration (const hpp::floatSeq &cfg)
void | displayNodeConstraint (hpp::ID id)
void | displayEdgeConstraint (hpp::ID id)
void | displayEdgeTargetConstraint (hpp::ID id)
Public Slots inherited from hpp::plot::GraphWidget
void | updateGraph ()
void | updateEdges ()
void | saveDotFile ()

## Public Member Functions
| HppManipulationGraphWidget (corbaServer::manipulation::Client *hpp_, QWidget *parent)
| ~HppManipulationGraphWidget ()
void | addNodeContextMenuAction (GraphAction *action)
void | addEdgeContextMenuAction (GraphAction *action)
void | client (corbaServer::manipulation::Client *hpp)
bool | selectionID (hpp::ID &id)
void | showEdge (const hpp::ID &edgeId)
const std::string & | graphName () const
Public Member Functions inherited from hpp::plot::GraphWidget
| GraphWidget (QString name=QString(), QWidget *parent=NULL)
| ~GraphWidget ()

## Protected Slots
virtual void | nodeContextMenu (QGVNode *node)
virtual void | nodeDoubleClick (QGVNode *node)
virtual void | edgeContextMenu (QGVEdge *edge)
virtual void | edgeDoubleClick (QGVEdge *edge)
void | selectionChanged ()
Protected Slots inherited from hpp::plot::GraphWidget
virtual void | nodeContextMenu (QGVNode *node)
virtual void | nodeDoubleClick (QGVNode *node)
virtual void | edgeContextMenu (QGVEdge *edge)
virtual void | edgeDoubleClick (QGVEdge *edge)

## Protected Member Functions
void | fillScene ()

## Additional Inherited Members
Protected Attributes inherited from hpp::plot::GraphWidget
QGVScene * | scene_
QWidget * | buttonBox_
QTextEdit * | elmtInfo_
QTextEdit * | loggingInfo_
QTextEdit * | constraintInfo_

## Constructor & Destructor Documentation

## ◆ HppManipulationGraphWidget()

hpp::plot::HppManipulationGraphWidget::HppManipulationGraphWidget | ( | corbaServer::manipulation::Client * | hpp_,
|  | QWidget * | parent
| ) |  |

## ◆ ~HppManipulationGraphWidget()

hpp::plot::HppManipulationGraphWidget::~HppManipulationGraphWidget | ( |  | ) |

## Member Function Documentation

## ◆ addEdgeContextMenuAction()

void hpp::plot::HppManipulationGraphWidget::addEdgeContextMenuAction | ( | GraphAction * | action | ) |

## ◆ addNodeContextMenuAction()

void hpp::plot::HppManipulationGraphWidget::addNodeContextMenuAction | ( | GraphAction * | action | ) |

## ◆ client()

void hpp::plot::HppManipulationGraphWidget::client | ( | corbaServer::manipulation::Client * | hpp | ) |

## ◆ displayEdgeConstraint

void hpp::plot::HppManipulationGraphWidget::displayEdgeConstraint | ( | hpp::ID | id | ) |
| slot

## ◆ displayEdgeTargetConstraint

void hpp::plot::HppManipulationGraphWidget::displayEdgeTargetConstraint | ( | hpp::ID | id | ) |
| slot

## ◆ displayNodeConstraint

void hpp::plot::HppManipulationGraphWidget::displayNodeConstraint | ( | hpp::ID | id | ) |
| slot

## ◆ edgeContextMenu

void hpp::plot::HppManipulationGraphWidget::edgeContextMenu | ( | QGVEdge * | edge | ) |
| protectedvirtualslot

## ◆ edgeDoubleClick

void hpp::plot::HppManipulationGraphWidget::edgeDoubleClick | ( | QGVEdge * | edge | ) |
| protectedvirtualslot

## ◆ fillScene()

void hpp::plot::HppManipulationGraphWidget::fillScene | ( |  | ) |
| protectedvirtual

Reimplemented from hpp::plot::GraphWidget.

## ◆ graphName()

const std::string& hpp::plot::HppManipulationGraphWidget::graphName | ( |  | ) | const
| inline

## ◆ nodeContextMenu

void hpp::plot::HppManipulationGraphWidget::nodeContextMenu | ( | QGVNode * | node | ) |
| protectedvirtualslot

## ◆ nodeDoubleClick

void hpp::plot::HppManipulationGraphWidget::nodeDoubleClick | ( | QGVNode * | node | ) |
| protectedvirtualslot

## ◆ selectionChanged

void hpp::plot::HppManipulationGraphWidget::selectionChanged | ( |  | ) |
| protectedslot

## ◆ selectionID()

bool hpp::plot::HppManipulationGraphWidget::selectionID | ( | hpp::ID & | id | ) |

## ◆ showEdge()

void hpp::plot::HppManipulationGraphWidget::showEdge | ( | const hpp::ID & | edgeId | ) |

## ◆ showNodeOfConfiguration

void hpp::plot::HppManipulationGraphWidget::showNodeOfConfiguration | ( | const hpp::floatSeq & | cfg | ) |
| slot

## ◆ updateStatistics

void hpp::plot::HppManipulationGraphWidget::updateStatistics | ( |  | ) |
| slot

The documentation for this class was generated from the following files:

- include/hpp/plot/hpp-manipulation-graph.hh
- src/hpp-manipulation-graph.cc